Mantis

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026295RunnerFunctionsPublic2017-04-24 17:042017-07-26 10:16
ReporterStewart Bishop 
Assigned ToMike Dailly 
PriorityLowSeverityC - GeneralReproducibility100%
StatusClosedResolutionFixed 
PlatformOSOS Version
Summary0026295: HTML5: date_compare_datetime() returns -1 or 0, not 0 or 1
Descriptiondate_compare_datetime never returns 1 on the HTML5 target - it's either -1 if the first date is earlier, or 0 if it is later or equal, instead of 0 when equal and 1 when later.
Steps To Reproduce1) Import attached project
2) Open object0
3) Change line 82 to date_compare_datetime(dateTime2[? "Date Time"], dateTime1[? "Date Time"]);
4) Show debug message of latestDateTime
5) Run project on HTML5
6) Open web console
7) See that this is 0 rather than 1

1.4 Version1.99.533
2.x Runtime Version2.0.6.72
2.x Runtime Version Verified In9.9.1.650
Attached Files? file icon gmtest-dates.yyz [^] (1,216,045 bytes) 2017-04-24 17:04

- Relationships

-  Notes
(0053177)
Mike Dailly (Manager)
2017-05-17 20:05

fixed
(0054568)
Sam Cumming (Administrator)
2017-07-26 10:16

Verified > rt 9.9.1.650 - Closing.


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker